package org.jeecg.modules.employAuthenticationPerson.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 个人实名信息表
 * @Author: jeecg-boot
 * @Date:   2025-02-21
 * @Version: V1.0
 */
@Data
@TableName("employ_authentication_person")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="employ_authentication_person对象", description="个人实名信息表")
public class EmployAuthenticationPerson implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**姓名*/
	@Excel(name = "姓名", width = 15)
    @ApiModelProperty(value = "姓名")
    private java.lang.String name;
	/**密码*/
	@Excel(name = "密码", width = 15)
    @ApiModelProperty(value = "密码")
    private java.lang.String password;
	/**联系电话*/
	@Excel(name = "联系电话", width = 15)
    @ApiModelProperty(value = "联系电话")
    private java.lang.String phone;
	/**居住地址*/
	@Excel(name = "居住地址", width = 15)
    @ApiModelProperty(value = "居住地址")
    private java.lang.String address;
	/**行业*/
	@Excel(name = "行业", width = 15, dictTable = "employ_category", dicText = "name", dicCode = "id")
	@Dict(dictTable = "employ_category", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "行业")
    private java.lang.String industry;
	/**身份证正面*/
	@Excel(name = "身份证正面", width = 15)
    @ApiModelProperty(value = "身份证正面")
    private java.lang.String cerImageFront;
	/**身份证国徽面*/
	@Excel(name = "身份证国徽面", width = 15)
    @ApiModelProperty(value = "身份证国徽面")
    private java.lang.String cerImageBack;
	/**认证状态*/
	@Excel(name = "认证状态", width = 15, dicCode = "employ_authentic_status")
	@Dict(dicCode = "employ_authentic_status")
    @ApiModelProperty(value = "认证状态")
    private java.lang.String status;
	/**关联用户id*/
	@Excel(name = "关联用户id", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "关联用户id")
    private java.lang.String userId;

    @TableField(exist = false)
    private java.lang.String industryName;
    /**个人照*/
    @Excel(name = "个人照", width = 15)
    @ApiModelProperty(value = "个人照")
    private java.lang.String image;



}
