package org.jeecg.modules.employOrder.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.modules.employAuthenticationCompany.entity.EmployAuthenticationCompany;
import org.jeecg.modules.employAuthenticationPerson.entity.EmployAuthenticationPerson;
import org.jeecg.modules.employJob.entity.EmployJob;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 订单信息表
 * @Author: jeecg-boot
 * @Date:   2025-02-21
 * @Version: V1.0
 */
@Data
@TableName("employ_order")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="employ_order对象", description="订单信息表")
public class EmployOrder implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**关联工作id*/
	@Excel(name = "关联工作id", width = 15, dictTable = "employ_job", dicText = "title", dicCode = "id")
	@Dict(dictTable = "employ_job", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "关联工作id")
    private java.lang.String jobId;
	/**订单状态*/
	@Excel(name = "订单状态", width = 15, dicCode = "employ_status")
	@Dict(dicCode = "employ_status")
    @ApiModelProperty(value = "订单状态")
    private java.lang.String status;
	/**关联招聘者id*/
	@Excel(name = "关联招聘者id", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "关联招聘者id")
    private java.lang.String employeeId;
	/**关联求职者id*/
	@Excel(name = "关联求职者id", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "关联求职者id")
    private java.lang.String bossId;

    //工作信息
    @TableField(exist = false)
    private EmployJob employJob;

    //招聘者企业实名信息
    @TableField(exist = false)
    private EmployAuthenticationCompany employAuthenticationCompany;

    //招聘者个人实名信息
    @TableField(exist = false)
    private EmployAuthenticationPerson employAuthenticationPersonBoss;

    //求职者个人实名信息
    @TableField(exist = false)
    private EmployAuthenticationPerson employAuthenticationPersonEmployee;
}
