package org.jeecg.modules.employSeek.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.modules.employResume.entity.EmployResume;
import org.jeecg.modules.hanHaiMember.entity.HanHaiMember;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 求职信息表
 * @Author: jeecg-boot
 * @Date:   2025-02-27
 * @Version: V1.0
 */
@Data
@TableName("employ_seek")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="employ_seek对象", description="求职信息表")
public class EmploySeek implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**期望工作地址*/
	@Excel(name = "期望工作地址", width = 15)
    @ApiModelProperty(value = "期望工作地址")
    private java.lang.String address;
	/**求职日薪*/
	@Excel(name = "求职日薪", width = 15)
    @ApiModelProperty(value = "求职日薪")
    private java.lang.String dayMoney;
	/**求职行业*/
	@Excel(name = "求职行业", width = 15, dictTable = "employ_category", dicText = "name", dicCode = "id")
	@Dict(dictTable = "employ_category", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "求职行业")
    private java.lang.String categoryOne;
	/**求职工种*/
	@Excel(name = "求职工种", width = 15, dictTable = "employ_category", dicText = "name", dicCode = "id")
	@Dict(dictTable = "employ_category", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "求职工种")
    private java.lang.String categoryTwo;
	/**经度*/
	@Excel(name = "经度", width = 15)
    @ApiModelProperty(value = "经度")
    private java.lang.String latitude;
	/**纬度*/
	@Excel(name = "纬度", width = 15)
    @ApiModelProperty(value = "纬度")
    private java.lang.String longitude;
	/**求职最大薪资*/
	@Excel(name = "求职最大薪资", width = 15)
    @ApiModelProperty(value = "求职最大薪资")
    private java.lang.String salaryMax;
	/**求职最小薪资*/
	@Excel(name = "求职最小薪资", width = 15)
    @ApiModelProperty(value = "求职最小薪资")
    private java.lang.String salaryMin;
	/**求职结算方式*/
	@Excel(name = "求职结算方式", width = 15, dicCode = "employ_pay_type")
	@Dict(dicCode = "employ_pay_type")
    @ApiModelProperty(value = "求职结算方式")
    private java.lang.String payType;
	/**求职简介*/
	@Excel(name = "求职简介", width = 15)
    @ApiModelProperty(value = "求职简介")
    private java.lang.String workDetail;
	/**关联微信*/
	@Excel(name = "关联微信", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "关联微信")
    private java.lang.String userId;
	/**关联简历*/
	@Excel(name = "关联简历", width = 15, dictTable = "employ_resume", dicText = "name", dicCode = "id")
	@Dict(dictTable = "employ_resume", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "关联简历")
    private java.lang.String resumeId;
	/**出行方式*/
	@Excel(name = "出行方式", width = 15)
    @ApiModelProperty(value = "出行方式")
    private java.lang.String selectGo;

	@TableField(exist = false)
    private HanHaiMember hanHaiMember;
	@TableField(exist = false)
    private EmployResume employResume;
}
