import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '期望工作地址',
    align:"center",
    dataIndex: 'address'
   },
   {
    title: '求职日薪',
    align:"center",
    dataIndex: 'dayMoney'
   },
   {
    title: '求职行业',
    align:"center",
    dataIndex: 'categoryOne_dictText'
   },
   {
    title: '求职工种',
    align:"center",
    dataIndex: 'categoryTwo_dictText'
   },
   {
    title: '经度',
    align:"center",
    dataIndex: 'latitude'
   },
   {
    title: '纬度',
    align:"center",
    dataIndex: 'longitude'
   },
   {
    title: '求职最大薪资',
    align:"center",
    dataIndex: 'salaryMax'
   },
   {
    title: '求职最小薪资',
    align:"center",
    dataIndex: 'salaryMin'
   },
   {
    title: '求职结算方式',
    align:"center",
    dataIndex: 'payType_dictText'
   },
   {
    title: '求职简介',
    align:"center",
    dataIndex: 'workDetail'
   },
   {
    title: '关联微信',
    align:"center",
    dataIndex: 'userId_dictText'
   },
   {
    title: '关联简历',
    align:"center",
    dataIndex: 'resumeId_dictText'
   },
   {
    title: '出行方式',
    align:"center",
    dataIndex: 'selectGo'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '期望工作地址',
    field: 'address',
    component: 'Input',
  },
  {
    label: '求职日薪',
    field: 'dayMoney',
    component: 'Input',
  },
  {
    label: '求职行业',
    field: 'categoryOne',
    component: 'JSearchSelect',
    componentProps:{
       dict:"employ_category,name,id"
    },
  },
  {
    label: '求职工种',
    field: 'categoryTwo',
    component: 'JSearchSelect',
    componentProps:{
       dict:"employ_category,name,id"
    },
  },
  {
    label: '经度',
    field: 'latitude',
    component: 'Input',
  },
  {
    label: '纬度',
    field: 'longitude',
    component: 'Input',
  },
  {
    label: '求职最大薪资',
    field: 'salaryMax',
    component: 'Input',
  },
  {
    label: '求职最小薪资',
    field: 'salaryMin',
    component: 'Input',
  },
  {
    label: '求职结算方式',
    field: 'payType',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"employ_pay_type"
     },
  },
  {
    label: '求职简介',
    field: 'workDetail',
    component: 'InputTextArea',//TODO 注意string转换问题
  },
  {
    label: '关联微信',
    field: 'userId',
    component: 'JSearchSelect',
    componentProps:{
       dict:"han_hai_member,nick_name,id"
    },
  },
  {
    label: '关联简历',
    field: 'resumeId',
    component: 'JSearchSelect',
    componentProps:{
       dict:"employ_resume,name,id"
    },
  },
  {
    label: '出行方式',
    field: 'selectGo',
    component: 'Input',
  },
];
