package org.jeecg.modules.api.employController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.apiService.BannerService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="轮播图-轮播图相关接口")
@RestController
@RequestMapping("/employ/banner")
@Slf4j
public class BannerController {
    /******************************************************************************************************************/
    //轮播图
    @Resource
    private BannerService bannerService;
    /******************************************************************************************************************/
    //查看轮播图列表
    @ApiOperation(value="轮播图-查询轮播图列表", notes="0-首页 1-会员中心")
    @RequestMapping(value = "/queryBannerList", method = {RequestMethod.GET})
    public Result<?> queryBannerList(String type, PageBean pageBean){
        return bannerService.queryBannerList(type, pageBean);
    }
}
