package org.jeecg.modules.api.employController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.apiService.CategoryService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="首页-分类信息相关接口")
@RestController
@RequestMapping("/employ/category")
@Slf4j
public class CategoryController {
    /******************************************************************************************************************/
    //分类信息
    @Resource
    private CategoryService categoryService;
    /******************************************************************************************************************/

    @ApiOperation(value="首页-分类信息列表", notes="首页-分类信息列表")
    @RequestMapping(value = "/queryCategoryList", method = {RequestMethod.GET})
    public Result<?> queryCategoryList(String pid, PageBean pageBean){
        return categoryService.queryCategoryList(pid, pageBean);
    }
}
