package org.jeecg.modules.api.employController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiService.ConfigService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="配置信息-配置信息相关接口")
@RestController
@RequestMapping("/employ/config")
@Slf4j
public class ConfigController {
    /******************************************************************************************************************/
    //配置信息
    @Resource
    private ConfigService configService;
    /******************************************************************************************************************/

    @ApiOperation(value="配置信息-获取配置信息列表", notes="配置信息-获取配置信息列表")
    @RequestMapping(value = "/queryConfigList", method = {RequestMethod.GET})
    public Result<?> queryConfigList(){
        return configService.queryConfigList();
    }

    @ApiOperation(value="配置信息-根据配置编码获取配置信息", notes="配置信息-根据配置编码获取配置信息")
    @RequestMapping(value = "/queryConfigByParamCode", method = {RequestMethod.GET})
    public Result<?> queryConfigByParamCode(String paramCode){
        return configService.queryConfigByParamCode(paramCode);
    }

}
